# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/altera.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Altera's SoCFPGA platform device tree bindings

maintainers:
  - Dinh Nguyen <dinguyen@kernel.org>

properties:
  $nodename:
    const: "/"
  compatible:
    items:
      - enum:
          - altr,socfpga-cyclone5
          - altr,socfpga-arria5
          - altr,socfpga-arria10
      - const: altr,socfpga

additionalProperties: true

...
